Get all calls made to a given webhook subscription Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/webhook-subscriptions/{webhookSubscription_uuid}/calls

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • webhookSubscription_uuid string Required

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[event] string

    Filter by a comma separated list of events.

  • filter[response_status] string

    Filter by a comma separated list of response status codes.

  • filter[successful] string

    Filter successful webhook calls.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, response_status]. Negative sign to denote DESC. Defaults to '-created_at'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • request_body object
        Hide request_body attributes Show request_body attributes object
        • event string
        • sent_at string
        • data array
      • response_status integer
      • response_body object
        Hide response_body attribute Show response_body attribute object
        • message string
      • successful boolean
      • fatal_error string
      • is_retry boolean
GET /api/v2/webhook-subscriptions/{webhookSubscription_uuid}/calls
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/webhook-subscriptions/6ff8f7f6-1eb3-3525-be4a-3932c805afed/calls' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "f7b65ee5-00ad-4bbd-8079-565f0b8adb94",
        "created_at": "2026-06-18T16:11:36+01:00",
        "updated_at": "2026-06-18T16:11:36+01:00",
        "request_body": {
          "event": "account.created",
          "sent_at": "2026-06-18T16:11:36+01:00",
          "data": []
        },
        "response_status": 200,
        "response_body": {
          "message": "ok"
        },
        "successful": true,
        "fatal_error": "Unable to connect",
        "is_retry": false
      }
    ]
  ]
}